> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prismy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Translations (Multilang)

> Translate multiple strings across multiple source languages and target languages.



## OpenAPI

````yaml POST /api/public/translate-multilang
openapi: 3.0.0
info:
  title: Prismy API
  description: API for managing translations with Prismy
  version: 1.0.0
servers:
  - url: https://app.prismy.io
    description: Production server
security:
  - bearerAuth: []
paths:
  /api/public/translate-multilang:
    post:
      tags:
        - Public API
      summary: Generate translations (Multilang)
      description: >-
        Translate multiple strings across multiple source languages and target
        languages.
      operationId: multiTranslate
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MultiTranslateRequest'
      responses:
        '200':
          description: >-
            Consolidated translations: array of objects, each object = input
            item plus target-language keys
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  additionalProperties:
                    type: string
                  example:
                    en-US: hello world
                    fr-FR: bonjour le monde
                    es-ES: hola mundo
                    it-IT: ciao mondo
        '400':
          description: >-
            Bad request - missing or invalid sourceValues, targetLanguages, or
            sourceLanguage
        '401':
          description: Unauthorized - Invalid or missing API token
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      You have reached the limit of AI translations for this
                      month, do not hesitate to contact us.
components:
  schemas:
    MultiTranslateRequest:
      type: object
      required:
        - sourceValues
        - targetLanguages
      properties:
        sourceValues:
          type: array
          description: >-
            Array of objects keyed by language code. Each item may have one or
            more source languages (e.g. en-US, fr-FR); not all items need all
            languages. The AI receives whatever source(s) are present per item
            to translate into the target language(s).
          items:
            type: object
            additionalProperties:
              type: string
            example:
              en-US: hello world
              fr-FR: bonjour le monde
        targetLanguages:
          type: array
          items:
            type: string
          description: Language codes to translate into (e.g. ["es-ES", "it-IT"])
          example:
            - es-ES
            - it-IT
        useOrgDescription:
          type: boolean
          default: true
          description: Use organization description for context
        useGlossary:
          type: boolean
          default: true
          description: Use organization glossary for consistent terminology
        useSimilarity:
          type: boolean
          default: true
          description: Use similarity matching for better translations
        useCustomInstructions:
          type: boolean
          default: true
          description: Use custom translation instructions
        instructionsSource:
          type: string
          default: github
          description: Source of custom instructions
        instructionsBundle:
          type: string
          default: ''
          description: Bundle name for instructions
        instructionsRepository:
          type: string
          default: ''
          description: Repository name for instructions
        additionalInstructions:
          type: string
          default: ''
          description: Additional custom instructions
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: API token from your organization settings

````